[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check fa
From: |
Jim Meyering |
Subject: |
Re: looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check failures on Itanium Linux |
Date: |
Tue, 28 Nov 2006 13:36:01 +0100 |
Andreas Schwab <address@hidden> wrote:
> Jim Meyering <address@hidden> writes:
>
>> If anyone in the audience has access to an ia64 system running a kernel
>> newer than linux-2.4.19, would you please let me know?
>
> SLES8 is using 2.4.21.
Thanks.
I found a better way to handle this:
* tests/mv/no-target-dir: Detect a buggy rename syscall. If found,
skip this test. This happens at least on ia64 linux-2.4.19 w/ext3.
Reported by Matthew Woehlke.
Matthew or Bob, would you please confirm that this detects the
problem and skips the test?
diff --git a/tests/mv/no-target-dir b/tests/mv/no-target-dir
index cf4891c..db7fe94 100755
--- a/tests/mv/no-target-dir
+++ b/tests/mv/no-target-dir
@@ -35,11 +35,19 @@ cd $tmp || framework_failure=1
mkdir -p d/sub empty src d2/sub e2 || framework_failure=1
touch f || framework_failure=1
+# Skip this test if there's an underlying kernel bug.
+mkdir a b b/a || framework_failure=1
+
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1
fi
+mv a b || {
+ echo "$0: skipping this test: your kernel's rename syscall is buggy" 1>&2
+ (exit 77); exit 77
+}
+
fail=0
# This should succeed, since both src and dest are directories,
- coreutils-6.6 check failures on Itanium Linux, Matthew Woehlke, 2006/11/22
- Re: coreutils-6.6 check failures on Itanium Linux, Paul Eggert, 2006/11/24
- Re: coreutils-6.6 check failures on Itanium Linux, Bob Proulx, 2006/11/28
- Re: coreutils-6.6 check failures on Itanium Linux, Bob Proulx, 2006/11/28
- Re: coreutils-6.6 check failures on Itanium Linux, Jim Meyering, 2006/11/28
- Re: coreutils-6.6 check failures on Itanium Linux, Bob Proulx, 2006/11/28
- Re: coreutils-6.6 check failures on Itanium Linux, Jim Meyering, 2006/11/28
- Re: coreutils-6.6 check failures on Itanium Linux, Bob Proulx, 2006/11/28
- looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check failures on Itanium Linux, Jim Meyering, 2006/11/28
- Re: looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check failures on Itanium Linux, Andreas Schwab, 2006/11/28
- Re: looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check failures on Itanium Linux,
Jim Meyering <=
- Re: looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check failures on Itanium Linux, Matthew Woehlke, 2006/11/28
- Re: looking for ia64 linux newer than 2.4.19 [Re: coreutils-6.6 check failures on Itanium Linux, Matthew Woehlke, 2006/11/28
Re: coreutils-6.6 check failures on Itanium Linux, Matthew Woehlke, 2006/11/28
Re: coreutils-6.6 check failures on Itanium Linux, Jim Meyering, 2006/11/28